CVE-2018-19058

medium

Description

An issue was discovered in Poppler 0.71.0. There is a reachable abort in Object.h, will lead to denial of service because EmbFile::save2 in FileSpec.cc lacks a stream check before saving an embedded file.

References

https://access.redhat.com/errata/RHSA-2019:2022

https://gitlab.freedesktop.org/poppler/poppler/issues/659

https://lists.debian.org/debian-lts-announce/2019/03/msg00008.html

https://lists.debian.org/debian-lts-announce/2020/11/msg00014.html

https://usn.ubuntu.com/3837-1/

Details

Source: MITRE

Published: 2018-11-07

Updated: 2020-11-09

Type: CWE-670

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM